<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
require($netsFileConfig['sysCoreRoot'].'Inc/m_Comm/Other/commoperation.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'commoperation','sttColumnHead'=>'coot'),
			array('sttTableName'=>$this->sysTableHead.'commoperationcont','sttColumnHead'=>'cooct'),);
		$this->sUiName='Platform/comm/operation';
	}
	public function OnBInitial(){
		$this->sMetaTitle='操作分数设置';
		$this->sLimitCount=0;
		$this->sApp=new commoperation($this->sConnString);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.coogtID,A.coogtName,A.coogtParid 
			FROM '.$this->sysTableHead.'commoperationgroup AS A
			WHERE 1=1 AND A.coogtRecycle=0 AND A.coogtChecked>1 AND A.coogtParid={Nets.Parid}
			ORDER BY A.coogtOrderBy DESC,A.coogtID DESC ';
		$tmpAR0['SQL0']=' SELECT A.coogtID,A.coogtName,A.coogtParid 
			FROM '.$this->sysTableHead.'commoperationgroup AS A
			WHERE 1=1 AND A.coogtRecycle=0 AND A.coogtChecked>1 AND A.coogtID={Nets.Parid}
			ORDER BY A.coogtOrderBy DESC,A.coogtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='coogtID';
		$tmpAR0['Text']='coogtName';
		$tmpAR0['Value']='coogtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$this->sParid1=$this->sParid2=$this->sControl->bindDropdown($tmpAR0);
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
		//OperationType
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=65;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Community_OperationType';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sOperationType1);
		$this->sOperationType2=$this->sOperationType1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有类型]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sOperationType2,$tmpAR0);
		
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'cootID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1,-1,,',0);
		//#Spell sql
		$tmpSQL=' SELECT A.cootID,A.cootName,A.cootParid,
			B.cooctSign,B.cooctTypeNum,B.cooctTimeLong,B.cooctRepeate,B.cooctCode_Code,B.cooctType
			FROM '.$this->sysTableHead.'commoperation AS A 
			INNER JOIN '.$this->sysTableHead.'commoperationcont AS B ON B.cooctIndexID=A.cootID
			WHERE 1=1 AND A.cootID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.cootName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.cootParid='.$this->sSearchData[1].' ';
		}
		if($this->sSearchData[2]!='-1'){
			$tmpSQL.=' AND A.cooctType='.$this->sSearchData[2].' ';
		}
		if($this->sSearchData[3]!=''){
			$tmpSQL.=' AND B.cooctSign LIKE \'%'.$this->sSearchData[3].'%\' ';
		}
		if($this->sSearchData[4]!=''){
			$tmpSQL.=' AND B.cooctTypeNum='.$this->sCode->Int32($this->sSearchData[4],0).' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sysSPLIT1.$this->sSearchData[1].$this->sysSPLIT1.$this->sSearchData[2].$this->sysSPLIT1.$this->sSearchData[3].$this->sysSPLIT1.$this->sSearchData[4];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'cootID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'cootName','stcoctUiName'=>'操作分数设置名称');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'cootID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',,-1',0);
		$this->sExternal_SearchData=$this->AnalyerRequest($this->sActionType,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.cootID,A.cootName,A.cootParid
			FROM '.$this->sysTableHead.'commoperation AS A 
			WHERE 1=1 
			AND A.cootID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.cootName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.cootParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$this->sActionType.'&'.$this->sActionType.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sExtendParameter;
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'cootID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'cootName','stcoctUiName'=>'操作分数设置名称');
		
		return 0;
	}
	public function OnExternal_ChildChoose(){
		//-- ------ #Search data ------ --
		$tmpSTR0='External_ChildChoose';
		$this->sExternal_ChildChooseSData=$this->AnalyerRequest($tmpSTR0,'0,,0,0',0);
		//#Spell sql
		$tmpSQL='';
		if($this->sExternal_ChildChooseSData[0]==0 || $this->sExternal_ChildChooseSData[0]==2){
			//-- Same grade --
			$tmpSQL=' SELECT A.cootID,A.cootName,A.cootParid 
				FROM '.$this->sysTableHead.'commoperation AS A
				WHERE 1=1 AND A.cootRecycle=0 AND A.cootChecked>1 AND 
				A.cootParid=(SELECT cootParid FROM commoperation WHERE 1=1 AND cootRecycle=0 AND cootChecked>1 AND cootID={Nets.ID})
				ORDER BY A.cootOrderBy DESC,A.cootID DESC ';
		}else if($this->sExternal_ChildChooseSData[0]==1 || $this->sExternal_ChildChooseSData[0]==3){
			//-- Child grade --
			$tmpSQL=' SELECT A.cootID,A.cootName,A.cootParid 
				FROM '.$this->sysTableHead.'commoperation AS A
				WHERE 1=1 AND A.cootRecycle=0 AND A.cootChecked>1 AND A.cootParid={Nets.ID}
				ORDER BY A.cootOrderBy DESC,A.cootID DESC ';
		}
		$tmpSTR=str_replace('{Nets.ID}',$this->sExternal_ChildChooseSData[2],$tmpSQL);
		$this->sExternal_ChildChooseData=$this->sDb->Search($tmpSTR);
		
		return 0;
	}
	public function OnNormal(){
		$tmpINT=0;
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'commoperation AS A 
			INNER JOIN '.$this->sysTableHead.'commoperationcont AS B ON B.cooctIndexID=A.cootID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.cootID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.cootID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//-- ------ #Spical set ------ --
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='cootParid'){
					}else if($this->sUiDescription_Normal[$Coun0]['stcotName']=='cootModelid_Detail'){
						$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
					}
				}
				$Coun0++;
			}
		}else {
			$Coun0=0;
			foreach($this->sUiDescription_Normal as $Row0){
				if($Row0['stcotName']=='cootTableid'){
					$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
				}
				$Coun0++;
			}
		}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='cootParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='cootParid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sParid1;
		}else if($pColumn['stcotName']=='cooctType' && $pFlag=='Search'){
			$pColumn['Option']=$this->sOperationType2;
		}else if($pColumn['stcotName']=='cooctType' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sOperationType1;
			
		}else if($pColumn['stcotName']=='cooctTimeLong' && $pFlag=='List'){
			$pColumn['ControlStyle']='width:60px;';
		}else if($pColumn['stcotName']=='cooctRepeate' && $pFlag=='List'){
			$pColumn['ControlStyle']='width:60px;';
		}else if($pColumn['stcotName']=='cooctCode_Code' && $pFlag=='List'){
			$pColumn['ControlStyle']='width:60px;';
			
		}
		return $pColumn;
	}
}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
require($tmpDefault->sysFileConfig['sysCoreRoot'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php'); ?>